Skip to main content

This browser is no longer supported.

Upgrade to Microsoft Edge to take advantage of the latest features, security updates, and technical support.

Download Microsoft Edge More info about Internet Explorer and Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Agent Insight Monitors

create

POST /agent_insight_monitors

Create an Agent Insights monitor for an agent.

Query parameters

api-version string required

The API version to use for this operation.

Request Body

Content-Type: application/json
agent_name string required

The agent this monitor should analyze.

enabled boolean

Whether scheduled insight generation should be armed. Defaults to false.

run_interval_hours number

Interval between scheduled insight runs, in hours. Defaults to 6.

model_deployment_name string required

The model deployment to use for analyzing traces. Accepts either the deployment name alone or with the connection name as '{connectionName}/modelDeploymentName'.

priorities AgentInsightPriorities

Monitor analysis priorities.

categories string[] required

Up to 20 distinct normalized category identifiers (128 UTF-8 bytes each). Empty uses defaults.

instructions string | null

Analysis guidance, up to 2,000 UTF-8 bytes after trimming. Null or blank removes guidance.

Responses

The request has succeeded and a new resource has been created as a result.

Headers

Location string required

URL of the created monitor.

Body

Content-Type: application/json
id string required

The monitor identifier.

agent_name string required

The agent this monitor analyzes. There can be only one monitor per agent.

enabled boolean required

Whether scheduled insight generation is armed for the monitor.

run_interval_hours number required

Interval between scheduled insight runs, in hours.

model_deployment_name string required

The model deployment to use for analyzing traces. Accepts either the deployment name alone or with the connection name as '{connectionName}/modelDeploymentName'.

next_scheduled_run_at integer
estimated_cost AgentInsightEstimatedCost

Estimated Agent Insights cost.

amount number required

Estimated cost amount.

currency enum required

Currency for the estimated cost amount. Agent Insights estimates are reported in US dollars.

USD
suspension AgentInsightSuspension | null required

Why the system suspended scheduled generation. Null when the monitor is not suspended.

code string required

Stable, machine-readable suspension category.

message string required

Human-readable description of the suspension.

occurred_at integer required
details object

Additional reason-specific suspension details.

agent_summary AgentInsightSummary

Service-generated agent summary.

markdown string required

Summary in Markdown.

priorities AgentInsightPrioritiesRead

Monitor analysis priorities returned by the service.

categories string[] required

Up to 20 distinct normalized category identifiers. Can include legacy names containing commas. Empty uses defaults.

instructions string

Analysis guidance. Omitted when unavailable.

updated_at integer required

Client error

Body

Content-Type: application/json
error OpenAI.Error required
code string | null required
message string required
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Any of the following:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string required

The public continuation instruction.

details OpenAI.Error[]

Additional errors that contributed to this failure.

additionalInfo object

Additional structured information about the failure.

debugInfo object

Diagnostic information supplied by the service for troubleshooting.

Server error

Body

Content-Type: application/json
error OpenAI.Error required
code string | null required
message string required
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Any of the following:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string required

The public continuation instruction.

details OpenAI.Error[]

Additional errors that contributed to this failure.

additionalInfo object

Additional structured information about the failure.

debugInfo object

Diagnostic information supplied by the service for troubleshooting.

Request

POST /agent_insight_monitors HTTP/1.1

Response

Status: 201
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
en-us
Your Privacy Choices
  • AI Disclaimer
  • Previous Versions
  • Blog
  • Contribute
  • Privacy
  • Consumer Health Privacy
  • Terms of Use
  • Trademarks
  • © Microsoft 2026